Bug 571071 - Lost anti-aliased fonts on KDE 4.4 after using Defaults from System settings
Lost anti-aliased fonts on KDE 4.4 after using Defaults from System settings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On: kde-4.6
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-06 15:14 EST by Nineth
Modified: 2011-04-01 14:22 EDT (History)
9 users (show)

See Also:
Fixed In Version: kdevelop-php-1.2.0-2.fc14
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-01 14:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gtk-demo - no anti-aliased fonts (16.83 KB, image/png)
2010-03-06 15:32 EST, Nineth
no flags Details
~/.fonts.conf (1.03 KB, text/plain)
2010-03-07 17:23 EST, Nineth
no flags Details

  None (edit)
Description Nineth 2010-03-06 15:14:57 EST
Description of problem:

Lost anti-aliased fonts on KDE 4.4 after using default from KDE settings.
Anti-aliasing was working fine, but I wanted to change my font sizes back to 
default sizes. I hit System Settings -> Appearance -> Fonts -> Defaults. 
All anti-aliasing went away. Logging out and logging in, restarting X
server, or using "Enabled" explicitly for anti-aliased fonts didn't help.
This happended after a yum update that I assume updated a number of packages.

Graphics: Intel 865G integrated


Version-Release number of selected component (if applicable):
rpm -q kde-settings
kde-settings-4.2-17.noarch
rpm -q kdelibs
kdelibs-4.4.0-9.fc11.i586


How reproducible:


Steps to Reproduce:
Hit "Defaults" at System settings -> Appearance -> Fonts

 
Actual results:

Cannot get back anti-aliased fonts


Expected results:


Additional info:
Comment 1 Nineth 2010-03-06 15:32:22 EST
Created attachment 398246 [details]
gtk-demo - no anti-aliased fonts
Comment 2 Nineth 2010-03-06 15:33:23 EST
Just to add none of the applications display anti-aliased fonts: plasma, firefox, konsole, gtk apps, gtk-demo, ...
Comment 3 Rex Dieter 2010-03-06 17:08:08 EST
This is more than just kde then.  kde settings only affect qt/kde apps.  gtk apps aren't (or shouldn't be) affected by them.
Comment 4 Nineth 2010-03-06 19:42:18 EST
Yes, but it was triggered by KDE System Settings. I've changed the component to xorg-x11-fonts. Would it be the appropriate one?
Comment 5 Nineth 2010-03-07 17:09:24 EST
rpm -Va --nofiles  does not show anything missing.
Comment 6 Nineth 2010-03-07 17:23:43 EST
Created attachment 398385 [details]
~/.fonts.conf

KD System Settings seems to have created/changed my ~/.fonts.conf and this caused the problem. Removing my ~/.fonts.conf solved the problem, putting it back always reproduces the problem. It's attached; also below.

<?xml version='1.0'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<fontconfig>
 <match target="font">
  <edit mode="assign" name="hinting">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="hintstyle">
   <const>hintfull</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="rgba">
   <const>none</const>
  </edit>
 </match>
 <match target="font">
  <edit mode="assign" name="antialias">
   <bool>true</bool>
  </edit>
 </match>
 <match target="font">
  <test compare="more_eq" name="size" qual="any">
   <double>8</double>
  </test>
  <test compare="less_eq" name="size" qual="any">
   <double>15</double>
  </test>
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
 <match target="font">
  <test compare="more_eq" name="pixelsize" qual="any">
   <double>10</double>
  </test>
  <test compare="less_eq" name="pixelsize" qual="any">
   <double>18</double>
  </test>
  <edit mode="assign" name="antialias">
   <bool>false</bool>
  </edit>
 </match>
</fontconfig>
Comment 7 Rex Dieter 2010-03-07 18:06:18 EST
So, it was set to disable antialiasing for font sizes 8-15, and it did so.

Setting antialiasing to Enabled and using that value was the likely trigger.

In this day and age, setting exclude ranges in the "Enabled" default probably makes very little sense.  Let's see if we can disable that by default (and lobby upstream to do the same).

So, for posterity, if you do not want this, make sure the "exclude range" option is not set.
Comment 8 Nineth 2010-03-07 18:46:53 EST
I don't see "exclude ranges" anywhere. Changing "use anti-aliasing" to "Enabled" or "System Settings" hadn't fixed the problem when it existed. From an end-user's perspective, this is quite frustrating. I did have font sizes around 10/11 earlier and anti-aliasing was working. 

Where does it say in the interface that font sizes 8-15 have anti-aliasing disabled?
Comment 9 Rex Dieter 2010-03-07 18:51:10 EST
Set antialiasing to Enabled (not System Settings), then click the button next to it labeled "Configure"
Comment 10 Nineth 2010-03-07 18:56:34 EST
Did you mean sizes 8-15 are excluded by default by "Enabled" is chosen? But these are the sizes one typically uses.
Comment 11 Rex Dieter 2010-03-07 19:05:11 EST
yes, that's the enabled/default that I was suggesting we change (as you noticed, it's far from ideal).
Comment 12 Bug Zapper 2010-04-28 07:55:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Rex Dieter 2010-04-28 09:29:34 EDT
Still valid, rebasing to rawhide
Comment 14 Rex Dieter 2011-03-10 13:49:49 EST
confirmed good in f15 (not entirely sure if it's f15 fontconfig default being better or kde-4.6.x yet).

Will assume the latter, until proven otherwise.
Comment 15 Fedora Update System 2011-03-18 08:45:37 EDT
PyKDE-3.16.6-7.fc14, PyQt-3.18.1-8.fc14, PyQt4-4.8.3-2.fc14, PyQwt-5.2.0-10.fc14, akonadi-1.5.1-1.fc14, attica-0.2.0-1.fc14, avogadro-1.0.1-11.fc14, calibre-0.7.38-3.fc14.2, digikam-1.9.0-1.fc14, kde-l10n-4.6.1-1.fc14, kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2, kde-plasma-yawp-0.3.6-1.fc14.2, kdeaccessibility-4.6.1-1.fc14, kdeadmin-4.6.1-1.fc14, kdeartwork-4.6.1-1.fc14, kdebase-4.6.1-3.fc14, kdebase-runtime-4.6.1-1.fc14, kdebase-workspace-4.6.1-2.fc14, kdebindings-4.6.1-1.fc14, kdeedu-4.6.1-2.fc14, kdegames-4.6.1-1.fc14, kdegraphics-4.6.1-1.fc14, kdelibs-4.6.1-4.fc14, kdemultimedia-4.6.1-1.fc14, kdenetwork-4.6.1-2.fc14, kdepim-4.4.10-2.fc14, kdepim-runtime-4.4.10-2.fc14, kdepimlibs-4.6.1-1.fc14, kdeplasma-addons-4.6.1-1.fc14, kdesdk-4.6.1-1.fc14, kdetoys-4.6.1-1.fc14, kdeutils-4.6.1-1.fc14, kdevelop-4.2.0-2.fc14, kdevplatform-1.2.0-3.fc14, kipi-plugins-1.9.0-1.fc14, koffice-2.3.3-1.fc14, konq-plugins-4.6.1-1.fc14, kphotoalbum-4.1.1-7.fc14, ktorrent-4.1.0-1.fc14, libktorrent-1.1.0-1.fc14, nepomukcontroller-0.2-4.fc14, oxygen-icon-theme-4.6.1-1.fc14, phonon-4.4.4-2.fc14, phonon-backend-gstreamer-4.4.4-2.fc14, phonon-backend-xine-4.4.4-3.fc14, polkit-kde-0.99.0-2.fc14, polkit-qt-0.99.0-2.fc14, qedje-0.4.0-8.fc14, qgis-1.6.0-3.fc14.1, qscintilla-2.4.6-2.fc14, qzion-0.4.0-10.fc14, shared-desktop-ontologies-0.6.0-1.fc14, sip-4.12.1-4.fc14, soprano-2.6.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PyKDE-3.16.6-7.fc14,PyQt-3.18.1-8.fc14,PyQt4-4.8.3-2.fc14,PyQwt-5.2.0-10.fc14,akonadi-1.5.1-1.fc14,attica-0.2.0-1.fc14,avogadro-1.0.1-11.fc14,calibre-0.7.38-3.fc14.2,digikam-1.9.0-1.fc14,kde-l10n-4.6.1-1.fc14,kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2,kde-plasma-yawp-0.3.6-1.fc14.2,kdeaccessibility-4.6.1-1.fc14,kdeadmin-4.6.1-1.fc14,kdeartwork-4.6.1-1.fc14,kdebase-4.6.1-3.fc14,kdebase-runtime-4.6.1-1.fc14,kdebase-workspace-4.6.1-2.fc14,kdebindings-4.6.1-1.fc14,kdeedu-4.6.1-2.fc14,kdegames-4.6.1-1.fc14,kdegraphics-4.6.1-1.fc14,kdelibs-4.6.1-4.fc14,kdemultimedia-4.6.1-1.fc14,kdenetwork-4.6.1-2.fc14,kdepim-4.4.10-2.fc14,kdepim-runtime-4.4.10-2.fc14,kdepimlibs-4.6.1-1.fc14,kdeplasma-addons-4.6.1-1.fc14,kdesdk-4.6.1-1.fc14,kdetoys-4.6.1-1.fc14,kdeutils-4.6.1-1.fc14,kdevelop-4.2.0-2.fc14,kdevplatform-1.2.0-3.fc14,kipi-plugins-1.9.0-1.fc14,koffice-2.3.3-1.fc14,konq-plugins-4.6.1-1.fc14,kphotoalbum-4.1.1-7.fc14,ktorrent-4.1.0-1.fc14,libktorrent-1.1.0-1.fc14,nepomukcontroller-0.2-4.fc14,oxygen-icon-theme-4.6.1-1.fc14,phonon-4.4.4-2.fc14,phonon-backend-gstreamer-4.4.4-2.fc14,phonon-backend-xine-4.4.4-3.fc14,polkit-kde-0.99.0-2.fc14,polkit-qt-0.99.0-2.fc14,qedje-0.4.0-8.fc14,qgis-1.6.0-3.fc14.1,qscintilla-2.4.6-2.fc14,qzion-0.4.0-10.fc14,shared-desktop-ontologies-0.6.0-1.fc14,sip-4.12.1-4.fc14,soprano-2.6.0-2.fc14
Comment 16 Fedora Update System 2011-03-30 15:56:53 EDT
Package kdevelop-php-1.2.0-2.fc14, veusz-1.9-2.fc14.1, sems-1.3.1-4.fc14.1, calibre-0.7.38-5.fc14, kde-i18n-3.5.10-14.fc14, PyKDE-3.16.6-7.fc14, PyQt-3.18.1-8.fc14, PyQt4-4.8.3-2.fc14, PyQwt-5.2.0-10.fc14, akonadi-1.5.1-1.fc14, attica-0.2.0-1.fc14, avogadro-1.0.1-11.fc14, digikam-1.9.0-1.fc14, kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2, kde-plasma-yawp-0.3.6-1.fc14.2, kdeaccessibility-4.6.1-1.fc14, kdeadmin-4.6.1-1.fc14, kdeartwork-4.6.1-1.fc14, kdebase-4.6.1-3.fc14, kdebase-runtime-4.6.1-1.fc14, kdeedu-4.6.1-2.fc14, kdegames-4.6.1-1.fc14, kdegraphics-4.6.1-1.fc14, kdemultimedia-4.6.1-1.fc14, kdenetwork-4.6.1-2.fc14, kdepim-4.4.10-2.fc14, kdepim-runtime-4.4.10-2.fc14, kdepimlibs-4.6.1-1.fc14, kdeplasma-addons-4.6.1-1.fc14, kdesdk-4.6.1-1.fc14, kdetoys-4.6.1-1.fc14, kdevelop-4.2.0-2.fc14, kdevplatform-1.2.0-3.fc14, kipi-plugins-1.9.0-1.fc14, koffice-2.3.3-1.fc14, konq-plugins-4.6.1-1.fc14, kphotoalbum-4.1.1-7.fc14, ktorrent-4.1.0-1.fc14, libktorrent-1.1.0-1.fc14, nepomukcontroller-0.2-4.fc14, oxygen-icon-theme-4.6.1-1.fc14, phonon-4.4.4-2.fc14, phonon-backend-gstreamer-4.4.4-2.fc14, phonon-backend-xine-4.4.4-3.fc14, polkit-kde-0.99.0-2.fc14, polkit-qt-0.99.0-2.fc14, qedje-0.4.0-8.fc14, qgis-1.6.0-3.fc14.1, qscintilla-2.4.6-2.fc14, qzion-0.4.0-10.fc14, shared-desktop-ontologies-0.6.0-1.fc14, sip-4.12.1-4.fc14, soprano-2.6.0-2.fc14, kde-l10n-4.6.1-1.fc14.1, kdegames3-3.5.10-9.fc14, kdebase-workspace-4.6.1-5.fc14, kdebindings-4.6.1-2.fc14, kdelibs-4.6.1-5.fc14, kdeutils-4.6.1-2.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdevelop-php-1.2.0-2.fc14 veusz-1.9-2.fc14.1 sems-1.3.1-4.fc14.1 calibre-0.7.38-5.fc14 kde-i18n-3.5.10-14.fc14 PyKDE-3.16.6-7.fc14 PyQt-3.18.1-8.fc14 PyQt4-4.8.3-2.fc14 PyQwt-5.2.0-10.fc14 akonadi-1.5.1-1.fc14 attica-0.2.0-1.fc14 avogadro-1.0.1-11.fc14 digikam-1.9.0-1.fc14 kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2 kde-plasma-yawp-0.3.6-1.fc14.2 kdeaccessibility-4.6.1-1.fc14 kdeadmin-4.6.1-1.fc14 kdeartwork-4.6.1-1.fc14 kdebase-4.6.1-3.fc14 kdebase-runtime-4.6.1-1.fc14 kdeedu-4.6.1-2.fc14 kdegames-4.6.1-1.fc14 kdegraphics-4.6.1-1.fc14 kdemultimedia-4.6.1-1.fc14 kdenetwork-4.6.1-2.fc14 kdepim-4.4.10-2.fc14 kdepim-runtime-4.4.10-2.fc14 kdepimlibs-4.6.1-1.fc14 kdeplasma-addons-4.6.1-1.fc14 kdesdk-4.6.1-1.fc14 kdetoys-4.6.1-1.fc14 kdevelop-4.2.0-2.fc14 kdevplatform-1.2.0-3.fc14 kipi-plugins-1.9.0-1.fc14 koffice-2.3.3-1.fc14 konq-plugins-4.6.1-1.fc14 kphotoalbum-4.1.1-7.fc14 ktorrent-4.1.0-1.fc14 libktorrent-1.1.0-1.fc14 nepomukcontroller-0.2-4.fc14 oxygen-icon-theme-4.6.1-1.fc14 phonon-4.4.4-2.fc14 phonon-backend-gstreamer-4.4.4-2.fc14 phonon-backend-xine-4.4.4-3.fc14 polkit-kde-0.99.0-2.fc14 polkit-qt-0.99.0-2.fc14 qedje-0.4.0-8.fc14 qgis-1.6.0-3.fc14.1 qscintilla-2.4.6-2.fc14 qzion-0.4.0-10.fc14 shared-desktop-ontologies-0.6.0-1.fc14 sip-4.12.1-4.fc14 soprano-2.6.0-2.fc14 kde-l10n-4.6.1-1.fc14.1 kdegames3-3.5.10-9.fc14 kdebase-workspace-4.6.1-5.fc14 kdebindings-4.6.1-2.fc14 kdelibs-4.6.1-5.fc14 kdeutils-4.6.1-2.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kdevelop-php-1.2.0-2.fc14,veusz-1.9-2.fc14.1,sems-1.3.1-4.fc14.1,kde-l10n-4.6.1-1.fc14.1,kdegames3-3.5.10-9.fc14,kde-i18n-3.5.10-14.fc14,PyKDE-3.16.6-7.fc14,PyQt-3.18.1-8.fc14,PyQt4-4.8.3-2.fc14,PyQwt-5.2.0-10.fc14,akonadi-1.5.1-1.fc14,attica-0.2.0-1.fc14,avogadro-1.0.1-11.fc14,calibre-0.7.38-5.fc14,digikam-1.9.0-1.fc14,kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2,kde-plasma-yawp-0.3.6-1.fc14.2,kdeaccessibility-4.6.1-1.fc14,kdeadmin-4.6.1-1.fc14,kdeartwork-4.6.1-1.fc14,kdebase-4.6.1-3.fc14,kdebase-runtime-4.6.1-1.fc14,kdebase-workspace-4.6.1-5.fc14,kdebindings-4.6.1-2.fc14,kdeedu-4.6.1-2.fc14,kdegames-4.6.1-1.fc14,kdegraphics-4.6.1-1.fc14,kdelibs-4.6.1-5.fc14,kdemultimedia-4.6.1-1.fc14,kdenetwork-4.6.1-2.fc14,kdepim-4.4.10-2.fc14,kdepim-runtime-4.4.10-2.fc14,kdepimlibs-4.6.1-1.fc14,kdeplasma-addons-4.6.1-1.fc14,kdesdk-4.6.1-1.fc14,kdetoys-4.6.1-1.fc14,kdeutils-4.6.1-2.fc14,kdevelop-4.2.0-2.fc14,kdevplatform-1.2.0-3.fc14,kipi-plugins-1.9.0-1.fc14,koffice-2.3.3-1.fc14,konq-plugins-4.6.1-1.fc14,kphotoalbum-4.1.1-7.fc14,ktorrent-4.1.0-1.fc14,libktorrent-1.1.0-1.fc14,nepomukcontroller-0.2-4.fc14,oxygen-icon-theme-4.6.1-1.fc14,phonon-4.4.4-2.fc14,phonon-backend-gstreamer-4.4.4-2.fc14,phonon-backend-xine-4.4.4-3.fc14,polkit-kde-0.99.0-2.fc14,polkit-qt-0.99.0-2.fc14,qedje-0.4.0-8.fc14,qgis-1.6.0-3.fc14.1,qscintilla-2.4.6-2.fc14,qzion-0.4.0-10.fc14,shared-desktop-ontologies-0.6.0-1.fc14,sip-4.12.1-4.fc14,soprano-2.6.0-2.fc14
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2011-04-01 14:21:36 EDT
kdevelop-php-1.2.0-2.fc14, veusz-1.9-2.fc14.1, sems-1.3.1-4.fc14.1, calibre-0.7.38-5.fc14, kde-i18n-3.5.10-14.fc14, PyKDE-3.16.6-7.fc14, PyQt-3.18.1-8.fc14, PyQt4-4.8.3-2.fc14, PyQwt-5.2.0-10.fc14, akonadi-1.5.1-1.fc14, attica-0.2.0-1.fc14, avogadro-1.0.1-11.fc14, digikam-1.9.0-1.fc14, kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2, kde-plasma-yawp-0.3.6-1.fc14.2, kdeaccessibility-4.6.1-1.fc14, kdeadmin-4.6.1-1.fc14, kdeartwork-4.6.1-1.fc14, kdebase-4.6.1-3.fc14, kdebase-runtime-4.6.1-1.fc14, kdeedu-4.6.1-2.fc14, kdegames-4.6.1-1.fc14, kdegraphics-4.6.1-1.fc14, kdemultimedia-4.6.1-1.fc14, kdenetwork-4.6.1-2.fc14, kdepim-4.4.10-2.fc14, kdepim-runtime-4.4.10-2.fc14, kdepimlibs-4.6.1-1.fc14, kdeplasma-addons-4.6.1-1.fc14, kdesdk-4.6.1-1.fc14, kdetoys-4.6.1-1.fc14, kdevelop-4.2.0-2.fc14, kdevplatform-1.2.0-3.fc14, kipi-plugins-1.9.0-1.fc14, koffice-2.3.3-1.fc14, konq-plugins-4.6.1-1.fc14, kphotoalbum-4.1.1-7.fc14, ktorrent-4.1.0-1.fc14, libktorrent-1.1.0-1.fc14, nepomukcontroller-0.2-4.fc14, oxygen-icon-theme-4.6.1-1.fc14, phonon-4.4.4-2.fc14, phonon-backend-gstreamer-4.4.4-2.fc14, phonon-backend-xine-4.4.4-3.fc14, polkit-kde-0.99.0-2.fc14, polkit-qt-0.99.0-2.fc14, qedje-0.4.0-8.fc14, qgis-1.6.0-3.fc14.1, qscintilla-2.4.6-2.fc14, qzion-0.4.0-10.fc14, shared-desktop-ontologies-0.6.0-1.fc14, sip-4.12.1-4.fc14, soprano-2.6.0-2.fc14, kde-l10n-4.6.1-1.fc14.1, kdegames3-3.5.10-9.fc14, kdebase-workspace-4.6.1-5.fc14, kdebindings-4.6.1-2.fc14, kdelibs-4.6.1-5.fc14, kdeutils-4.6.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.